import {SimpleState} from "../../../../src/app/game-model/gamesystems/states/SimpleState";
import {SimpleTransition} from "../../../../src/app/game-model/gamesystems/transitions/SimpleTransition";
import {Script} from "node:vm";
import {ScriptAccount} from "../../../../src/app/game-model/scriptAccounts/ScriptAccount";
import {ScriptAccountAction} from "../../../../src/app/game-model/gamesystems/actions/ScriptAccountAction";

export class SimpleActionTrainer {
  static withEmptyActions() {
    const startingState = new SimpleState("Wolkig", "");
    const endingState = new SimpleState("Schnee", "");

    return new SimpleTransition(startingState, endingState);
  }

  static withSingleAction() {
    const startingState = new SimpleState("Wolkig", "");
    const endingState = new SimpleState("Schnee", "");

    const scriptAccount = new ScriptAccount("Temperature", "");
    const transition = new SimpleTransition(startingState, endingState);
    transition.scriptAccountActions.push(new ScriptAccountAction(scriptAccount, 10));

    return transition;
  }
}
