import {SimpleState} from "../../game-model/gamesystems/states/SimpleState";
import {ScriptAccount} from "../../game-model/scriptAccounts/ScriptAccount";
import {ScriptAccountCondition} from "../../game-model/gamesystems/conditions/ScriptAccountCondition";

export class StateParser {

    private scriptAccounts: ScriptAccount[]


    constructor(scriptAccounts: ScriptAccount[]) {
      this.scriptAccounts = scriptAccounts;
    }

    public  parseStates(gamesystemData: any): SimpleState[] {
      const parsedStates: SimpleState[] = []
      for(let i=0; i<gamesystemData.states.length; i++) {
        parsedStates.push(this.parseState(gamesystemData.states[i]))
      }

      return parsedStates;
    }

   private parseState(stateData: any): SimpleState {
      const initial = stateData.initial
      const stateLabel = stateData.stateLabel
      const stateDescription = stateData.stateDescription

      const simpleState = new SimpleState(stateLabel, stateDescription);
      simpleState.initial = initial;
      return simpleState;
   }


}
